CONTAINER-LIMIT(1)

NAME
container-limit - Limit resources of a container

SYNOPSIS
container limit ['OPTIONS']

DESCRIPTION

The container limit command limits resources available to a container at runtime.

OPTIONS

The following container limit options are available:

    -n, --name='NAME':
        Specify container name.

    --blockio-device-weight='DEVICE WEIGHT':
        Specify device specific blockio weight, see systemd.resource-control(5).

    --blockio-read-bandwidth='DEVICE BYTES':
        Specify device specific blockio read bandwidth, see systemd.resource-control(5).

    -b, --blockio-weight='WEIGHT':
        Specify general blockio weight, see systemd.resource-control(5).

    --blockio-write-bandwidth='DEVICE BYTES':
        Specify device specific blockio write bandwidth, see systemd.resource-control(5).

    -c, --cpu-quota='QUOTA':
        Specify CPU quota, see systemd.resource-control(5).

    --cpu-shares='SHARES':
        Specify CPU shares, see systemd.resource-control(5).

    -m, --memory-limit='BYTES':
        Specify memory limit, see systemd.resource-control(5).

    -t, --tasks-max='NUMBER':
        Specify tasks max, see systemd.resource-control(5).

EXAMPLES

Set blockio weight for the example.net container:
        sudo container limit -n example.net --blockio-weight 100

Set CPU quota for the example.net container:
        sudo container limit -n example.net --cpu-quota 10%

Set memory limit for the example.net container to 1GB:
        sudo container limit -n example.net --memory-limit 1G

Set tasks max for the example.net container to 100:
        sudo container limit -n example.net --tasks-max 100

SEE ALSO
compute-tools(7),
container(1).

HOMEPAGE

More information about compute-tools and the Open Infrastructure project can be found on the homepage (https://open-infrastructure.net).

CONTACT

Bug reports, feature requests, help, patches, support and everything else are welcome on the Open Infrastructure Software Mailing List <software@lists.open-infrastructure.net>.

Debian specific bugs can also be reported in the Debian Bug Tracking System (https://bugs.debian.org).

AUTHORS

compute-tools were written by Daniel Baumann <daniel.baumann@open-infrastructure.net> and others.